<?php
/*********************************************************      
 程序说明：         
    功能说明：告警产生页面
    调用关系：
    变量说明：
      返回值：无
      
修改注释：      
NO.1      
姓名：       
时间：      
修改说明：      
*********************************************************/  
require("../../inc/header.inc");
$DEBUG = 0;
$helpId = "4.1";
$db='OMC_PUB';

$pageTitle	= "$strLog&nbsp;>&nbsp;$strLogAlarm>&nbsp;Generator";

$device_sql ="SELECT sysTypeNo,sysTypeName 
	          FROM  $sysconf_table 
		      WHERE needHeartBeat >'0' 
		      ORDER BY sysTypeNo  
		      ";
$device_result = @mysqli_query($pubConn,$device_sql);
$device_rows = @mysqli_fetch_array($device_result);
echo mysqli_error($pubConn);
?>
<base target="main">
<body leftmargin="12" topmargin="5">
<?php
echo "<table border=\"0\" width=\"100%\">";
echo "<tr>";
echo "<td width=\"50%\">";
echo "$pageTitle";
echo "</td>";
echo "<td width=\"50%\" align=\"right\" title=\"Help\">";
showHelp($helpId);
echo "</td>";
echo "</tr>";
echo "</table>";
?>

<form method="post" name="theform"  id="theform" action="alarmgen_down.php?a=" >  
<table border="0" width="100%" cellpadding="2" cellspacing="0"  bordercolor="#666666" bordercolordark="#FFFFFF" bgcolor="#FFFFFF"  >   
<tr >
<td align="right">
<nobr>
<?php 
echo "Devices&nbsp;&nbsp;"; 
echo "<select size=\"1\" name=\"selSysTypeNo\"> ";
echo "<option value=\"all\">$strAll</option>";
do{
	echo "<option value=\"$device_rows[sysTypeNo]\" >";
	echo "$device_rows[sysTypeName]";
	echo "</option>";
}while($device_rows = mysqli_fetch_array($device_result));
echo "</select>&nbsp;&nbsp;&nbsp;&nbsp;";

echo "Alarm Severity&nbsp;&nbsp;";
echo "&nbsp;<select name=\"selAlarmLevel\" size=\"1\">";
echo "<option value=\"all\">$strAll</option>";
for($i=1;$i<sizeof($alarmLevelDefArr);$i++){
	$alarmLevelRemark=$alarmLevelDefArr[$i][remark];
	$alarmLevelValue=$alarmLevelDefArr[$i][value];
	echo "<option  value=\"$alarmLevelValue\">$alarmLevelRemark</option>";

}

echo "</select>&nbsp;&nbsp;&nbsp;&nbsp;";

echo "Alarm Code&nbsp;&nbsp;";
echo "&nbsp;<select name=\"selAlarmCode\" size=\"1\">";
echo "<option value=\"all\">$strAll</option>";
for($i=1;$i<sizeof($alarmLevelDefArr);$i++){
	$alarmLevelRemark=$alarmLevelDefArr[$i][remark];
	$alarmLevelValue=$alarmLevelDefArr[$i][value];
	echo "<option  value=\"$alarmLevelValue\">$alarmLevelRemark</option>";

}

echo "</select>&nbsp;&nbsp;&nbsp;&nbsp;";
?>
</nobr>
</td>

<td>
<?php
echo "<input type=\"submit\" name=\"Gen\" value=\"Generate\" class=\"button\" style=\"left: 1; top: 2; width: 60; height: 25; position: relative\">";
?>
</td>
<td>
<?php
echo "<input type=\"submit\" name=\"Clr\" value=\"Clear\" class=\"button\" style=\"left: 1; top: 2; width: 60; height: 25; position: relative\">";
?>
</td>
<td width="50%"></td>
</tr>   
</table>               
</form>      
</body>
</html>     
     
